spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Types | Protected Attributes | List of all members
spot::stopwatch Struct Reference
Miscellaneous helper functions

A simple stopwatch. More...

`#include <spot/misc/timer.hh>`

Collaboration diagram for spot::stopwatch:

## Public Member Functions
void | start ()
| Marks the start if the measurement. More...
double | stop ()
| Returns the elapsed duration in seconds. More...

## Protected Types
typedef std::chrono::high_resolution_clock | clock

## Protected Attributes
clock::time_point | start_

## Detailed Description

A simple stopwatch.

## Member Function Documentation

void spot::stopwatch::start | ( |  | ) |
| inline

Marks the start if the measurement.

double spot::stopwatch::stop | ( |  | ) |
| inline

Returns the elapsed duration in seconds.

May be called multiple times, and will always return the duration since the last call to start().

The documentation for this struct was generated from the following file:

- spot/misc/timer.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.